
quads = {}
tileSize = 32
squares = 25000

deg = math.pi / 180.0

tex = love.graphics.newImage( "img/spritesheet.png" )
sb = love.graphics.newSpriteBatch(tex, squares)

function love.load()

	for i = 1, 8 do
		quads[i] =  love.graphics.newQuad(i % 4 * tileSize, i / 4 * tileSize, tileSize, tileSize, tex:getWidth(), tex:getHeight())

	end

	makeQuads()

end

function love.update(dt)
	
    lastDt = 1 / dt

    if lastDt > 61 then 
    	squares = squares + 1000
	elseif lastDt < 59 then
		squares = squares - 1000
    end
	
	makeQuads()
	print( lastDt .. ", " .. squares)
end


function love.draw()
    love.graphics.draw(sb)  	
end

function makeQuads()

	sb:bind()
	sb:clear()
    for i=1, squares do
      sb:add( quads[ love.math.random( 1, 8 ) ], love.math.random(800), love.math.random(600), love.math.random(360) * deg )
    end

    sb:unbind()
end
